Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class DistPastTestContent

    java.lang.Object
      rice.p2p.past.ContentHashPastContent
          rice.p2p.past.testing.DistPastTestContent

All Implemented Interfaces:
  PastContent, java.io.Serializable

public class DistPastTestContent
extends ContentHashPastContent

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jstewart TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.p2p.past.ContentHashPastContent
`myId`

Constructor Summary
`DistPastTestContent(Environment env, IdFactory idf, java.lang.String content)` Constructor for DistPastTestContent.

Method Summary
`java.lang.String` | `getContent()` Gets the Content attribute of the DistPastTestContent object
`long` | `getTimestamp()` Gets the Timestamp attribute of the DistPastTestContent object

Methods inherited from class rice.p2p.past.ContentHashPastContent
`checkInsert, getHandle, getId, isMutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistPastTestContent

    public DistPastTestContent(Environment env,
                               IdFactory idf,
                               java.lang.String content)

  Constructor for DistPastTestContent.

Parameters:
  `env` - DESCRIBE THE PARAMETER
  `idf` - DESCRIBE THE PARAMETER
  `content` - DESCRIBE THE PARAMETER

Method Detail

### getContent

    public java.lang.String getContent()

  Gets the Content attribute of the DistPastTestContent object

  Returns:
    The Content value

### getTimestamp

    public long getTimestamp()

  Gets the Timestamp attribute of the DistPastTestContent object

  Returns:
    The Timestamp value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.